--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Put the <tt>state_machine</tt> into the <tt>initial_state</tt>.
full_name: Mocha::StateMachine#starts_as
is_singleton: false
name: starts_as
params: " starts_as(initial_state) -> state_machine\n"
visibility: public
